Skip to content

qwen-image-max

POST https://www.kkiai.com/v1/images/generations

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
modelstringRequired
promptstringRequired
sizestringRequired
nintegerRequiredNumber of images to generate. Only supports 1 image
watermarkbooleanRequired
prompt_extendbooleanRequiredAI-optimized prompt. Enabled by default

Request Example

json
{
  "model": "qwen-image-max",
  "prompt": "A cute orange tabby cat sitting on a windowsill, with sunlight shining on its body and a city skyline in the background.",
  "size": "1328x1328",
  "n": 1,
  "watermark": false,
  "prompt_extend": true
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "model": "qwen-image-max",
  "prompt": "A cute orange tabby cat sitting on a windowsill, with sunlight shining on its body and a city skyline in the background.",
  "size": "1328x1328",
  "n": 1,
  "watermark": false,
  "prompt_extend": true
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
createdintegerRequired
dataarray[object]Required
  └ urlstringOptional
  └ b64_jsonstringOptional

Response Example

json
{
  "created": 1767842675,
  "data": [
    {
      "url": "https://dashscope-result-bj.oss-cn-beijing.aliyuncs.com/...",
      "b64_json": ""
    }
  ]
}